[DEFAULT]
support-files =
  chrome_cleanup_script.js
  file_WebNavigation_page1.html
  file_WebNavigation_page2.html
  file_WebNavigation_page3.html
  file_WebRequest_page3.html
  file_image_bad.png
  file_image_good.png
  file_image_great.png
  file_image_redirect.png
  file_mixed.html
  file_remote_frame.html
  file_sample.html
  file_sample.txt
  file_sample.txt^headers^
  file_script_bad.js
  file_script_good.js
  file_script_redirect.js
  file_script_xhr.js
  file_simple_sandboxed_frame.html
  file_simple_sandboxed_subframe.html
  file_simple_xhr.html
  file_simple_xhr_frame.html
  file_simple_xhr_frame2.html
  file_streamfilter.txt
  file_style_bad.css
  file_style_good.css
  file_style_redirect.css
  file_third_party.html
  file_to_drawWindow.html
  file_webNavigation_clientRedirect.html
  file_webNavigation_clientRedirect_httpHeaders.html
  file_webNavigation_clientRedirect_httpHeaders.html^headers^
  file_webNavigation_frameClientRedirect.html
  file_webNavigation_frameRedirect.html
  file_webNavigation_manualSubframe.html
  file_webNavigation_manualSubframe_page1.html
  file_webNavigation_manualSubframe_page2.html
  file_with_about_blank.html
  head.js
  head_cookies.js
  head_notifications.js
  head_unlimitedStorage.js
  head_webrequest.js
  hsts.sjs
  mochitest_console.js
  oauth.html
  redirect_auto.sjs
  redirection.sjs
  return_headers.sjs
  slow_response.sjs
  webrequest_worker.js
  !/dom/tests/mochitest/geolocation/network_geolocation.sjs
  !/toolkit/components/passwordmgr/test/authenticate.sjs
  file_redirect_data_uri.html
  file_redirect_cors_bypass.html
prefs =
  security.mixed_content.upgrade_display_content=false
  browser.chrome.guess_favicon=true

[test_ext_activityLog.html]
skip-if = os == 'android' || tsan # Times out on TSan, bug 1612707
[test_ext_async_clipboard.html]
skip-if = toolkit == 'android' || tsan # near-permafail after landing bug 1270059: Bug 1523131. tsan: bug 1612707
[test_ext_background_canvas.html]
[test_ext_background_page.html]
skip-if = (toolkit == 'android') # android doesn't have devtools
[test_ext_canvas_resistFingerprinting.html]
[test_ext_clipboard.html]
skip-if = os == 'android'
[test_ext_clipboard_image.html]
skip-if = headless # Bug 1405872
[test_ext_contentscript_about_blank.html]
skip-if = os == 'android' # bug 1369440
[test_ext_contentscript_cache.html]
skip-if = (os == 'linux' && debug) || (toolkit == 'android' && debug) # bug 1348241
[test_ext_contentscript_canvas.html]
skip-if = (os == 'android') || (verify && debug && (os == 'linux')) # Bug 1617062
[test_ext_contentscript_devtools_metadata.html]
[test_ext_contentscript_incognito.html]
skip-if = os == 'android' # Android does not support multiple windows.
[test_ext_contentscript_permission.html]
skip-if = tsan # Times out on TSan, bug 1612707
[test_ext_cookies.html]
skip-if = os == 'android' || tsan # Times out on TSan intermittently, bug 1615184; not supported on Android yet
[test_ext_cookies_containers.html]
[test_ext_cookies_expiry.html]
[test_ext_cookies_first_party.html]
[test_ext_cookies_incognito.html]
skip-if = os == 'android' # Bug 1513544 Android does not support multiple windows.
[test_ext_cookies_permissions_bad.html]
[test_ext_cookies_permissions_good.html]
[test_ext_exclude_include_globs.html]
[test_ext_external_messaging.html]
[test_ext_generate.html]
[test_ext_geolocation.html]
skip-if = os == 'android' # Android support Bug 1336194
[test_ext_identity.html]
skip-if = os == 'android' || tsan # unsupported. tsan: bug 1612707
[test_ext_idle.html]
skip-if = tsan # Times out on TSan, bug 1612707
[test_ext_inIncognitoContext_window.html]
skip-if = os == 'android' # Android does not support multiple windows.
[test_ext_listener_proxies.html]
[test_ext_new_tab_processType.html]
skip-if = verify && debug && (os == 'linux' || os == 'mac')
[test_ext_notifications.html]
skip-if = os == 'android' # Not supported on Android yet
[test_ext_protocolHandlers.html]
skip-if = (toolkit == 'android') # bug 1342577
[test_ext_redirect_jar.html]
skip-if = os == 'win' && (debug || asan) # Bug 1563440
[test_ext_request_urlClassification.html]
skip-if = os == 'android' # Bug 1615427
[test_ext_runtime_connect.html]
[test_ext_runtime_connect_twoway.html]
[test_ext_runtime_connect2.html]
[test_ext_runtime_disconnect.html]
[test_ext_sendmessage_doublereply.html]
[test_ext_sendmessage_frameId.html]
[test_ext_sendmessage_no_receiver.html]
[test_ext_sendmessage_reply.html]
[test_ext_sendmessage_reply2.html]
[test_ext_storage_manager_capabilities.html]
scheme=https
[test_ext_streamfilter_multiple.html]
[test_ext_streamfilter_processswitch.html]
[test_ext_subframes_privileges.html]
skip-if = os == 'android' || verify # bug 1489771
[test_ext_test.html]
[test_ext_unlimitedStorage.html]
skip-if = os == 'android'
[test_ext_unlimitedStorage_legacy_persistent_indexedDB.html]
# IndexedDB persistent storage mode is not allowed on Fennec from a non-chrome privileged code
# (it has only been enabled for apps and privileged code). See Bug 1119462 for additional info.
skip-if = os == 'android'
[test_ext_web_accessible_resources.html]
skip-if = (os == 'android' && debug) || fission # bug 1397615, bug 1588284
[test_ext_web_accessible_incognito.html]
skip-if = (os == 'android') || fission # Crashes intermittently: @ mozilla::dom::BrowsingContext::CreateFromIPC(mozilla::dom::BrowsingContext::IPCInitializer&&, mozilla::dom::BrowsingContextGroup*, mozilla::dom::ContentParent*), bug 1588284, bug 1397615 and bug 1513544
[test_ext_webnavigation.html]
skip-if = os == 'android' && debug # bug 1397615
[test_ext_webnavigation_filters.html]
skip-if = (os == 'android' && debug) || (verify && (os == 'linux' || os == 'mac')) # bug 1397615
[test_ext_webnavigation_incognito.html]
skip-if = os == 'android' # bug 1513544
[test_ext_webrequest_auth.html]
skip-if = os == 'android'
[test_ext_webrequest_background_events.html]
[test_ext_webrequest_basic.html]
skip-if = os == 'android' && debug || tsan # bug 1397615. tsan: bug 1612707
[test_ext_webrequest_errors.html]
skip-if = tsan
[test_ext_webrequest_filter.html]
skip-if = os == 'android' && debug || tsan # bug 1452348. tsan: bug 1612707
[test_ext_webrequest_frameId.html]
skip-if = (webrender && os == 'linux') # Bug 1482983 caused by Bug 1480951
[test_ext_webrequest_hsts.html]
skip-if = os == 'android' || os == 'linux' || os == 'mac' #Bug 1605515
[test_ext_webrequest_upgrade.html]
[test_ext_webrequest_upload.html]
skip-if = os == 'android' # Currently fails in emulator tests
[test_ext_webrequest_redirect_data_uri.html]
[test_ext_window_postMessage.html]
[test_ext_webrequest_redirect_bypass_cors.html]
